######################################################################################
# Important:
# Initial creation.  This script should only be used to deploy a war console module
# into isc.ear, starting from TIP 2.1.
#
# 
######################################################################################


import sys,traceback


def enableVMMSecurity (adminId, adminPassword, successString):
    try:
       AdminTask.applyWizardSettings ('[-userRegistryType WIMUserRegistry -secureApps true -secureLocalResources false -adminName ' +adminId+ ' -adminPassword ' +adminPassword+ ']')
    except:
       print "Error when enable VMM setting.  The error can be ignored."  	   
       traceback.print_exc(file=sys.stdout)

    globalSecurityEnabled = AdminTask.isGlobalSecurityEnabled()
    appSecurityEnabled = AdminTask.isAppSecurityEnabled()

    if ( globalSecurityEnabled == "true" and appSecurityEnabled == "true" ):
        print successString
    else:
        print "It would appear that security is not enabled correctly"

def configTIPSecurity (successString):
    try:
        security = AdminConfig.list('Security')
        result = AdminConfig.modify(security, [['appEnabled', 'true']])
        result = AdminConfig.modify(security, [['useDomainQualifiedUserNames', 'true']])
        success="true"
    except:
        print "an exception was thrown when enable application security"
        success="false"	
    print successString
	
	
global AdminConfig	
global AdminApp 
successString = "SUCCESSFUL"
returnCode = 0
if returnCode == 0:
    enableVMMSecurity(sys.argv[0],sys.argv[1], successString)
    configTIPSecurity(successString)
    AdminConfig.save()
    print "save complete................................"
sys.exit(returnCode)
