@Rem ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
@Rem ' IBM Confidential
@Rem ' Jazz for Service Management - Install
@Rem ' 
@Rem ' (C) Copyright IBM Corp. 2013  All Rights Reserved.
@Rem ' 
@Rem ' The source code for this program is not published or otherwise  
@Rem ' divested of its trade secrets, irrespective of what has been 
@Rem ' deposited with the U.S. Copyright Office.
@Rem ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

@echo off

setLocal EnableExtensions EnableDelayedExpansion

SET SMSETAPP_CLASS_NAME=com.ibm.jazzsm.manage.application.server.ui.command.SMSetApplicationServer

:: Set up the JazzSM home
SET CUR_DIR=%cd%
cd /d "%~dp0.."
SET JAZZSM_HOME=%cd%
cd /d "%CUR_DIR%"

for /f "usebackq tokens=1,2* delims==" %%I in ("%JAZZSM_HOME%\etc\jazzsm.was.settings.properties") do ( 
	if "%%I"=="im.install.location"                       (set IM_INSTALL_LOCATION=%%J)
)

:: Unescape \ and : in paths
set	 IM_INSTALL_LOCATION=%IM_INSTALL_LOCATION:\\=\%
set	 IM_INSTALL_LOCATION=%IM_INSTALL_LOCATION:\:=:%

:: Traverse the IM install location to set the environment variable JAZZSM_JAVA_HOME to Installation Manager jre
:: There may be spaces in the path, so we need to either surround the path with quotes, which break things later on,
:: or switch to each directory and use for statement to get its name.
for /f "tokens=*" %%a in ('dir /b /ad "%IM_INSTALL_LOCATION%"\jre_*' ) do (
    pushd "%IM_INSTALL_LOCATION%\%%a\jre"
    for /f "delims=" %%i in ('cd') do set JAZZSM_JAVA_HOME=%%i
    popd
)

:: Setting JRE_EXE to run java
set JRE_EXE=%JAZZSM_JAVA_HOME%\bin\java

:: Executes java program for JazzSM service creation/deletion
"%JRE_EXE%" -cp "%JAZZSM_HOME%"/lib/manage.jar %SMSETAPP_CLASS_NAME% %*

:: Exit with the return code
exit /b %ERRORLEVEL%

:eof