########################################################### {COPYRIGHT-TOP} ####
# IBM Confidential
# Jazz for Service Management - Install
#
# (C) Copyright IBM Corp. 2013  All Rights Reserved.
#
# The source code for this program is not published or otherwise  
# divested of its trade secrets, irrespective of what has been 
# deposited with the U.S. Copyright Office.
########################################################### {COPYRIGHT-END} ####

execfile('./wasadminlib.py')
    
#-----------------------------------------------------------------
# Main
#-----------------------------------------------------------------
if (len(sys.argv) != 3):
   print "This script requires 4 parameters:<Node Name>, <Server Name>, <Output File>"
   print "e.g.:  getWASPPortValues.py localhostNode01 server1 C:/temp/port.properties"
else:
   nodename = sys.argv[0]
   servername = sys.argv[1]
   outputfile = sys.argv[2]
   print "Node name:" + nodename 
   print "Server name:" + servername
   print "Output file name:" + outputfile
   rmiPort = getServerPort(nodename,servername,"BOOTSTRAP_ADDRESS")
   soapPort = getServerPort(nodename,servername,"SOAP_CONNECTOR_ADDRESS")
   defaultHostPort = getServerPort(nodename,servername,"WC_defaulthost")
   defaultHostSecurePort = getServerPort(nodename,servername,"WC_defaulthost_secure")
   
   print "rmiPort = " + rmiPort
   print "soapPort = " + soapPort
   print "defaultHostPort = " + defaultHostPort
   print "defaultHostSecurePort = " + defaultHostSecurePort
   file = open(outputfile, "w")
   file.write('BOOTSTRAP_PORT='+rmiPort+'\n')
   file.write('SOAP_PORT='+soapPort+'\n')
   file.write('DEFAULT_HOST_PORT='+defaultHostPort+'\n')
   file.write('DEFAULT_HOST_SECURE_PORT='+defaultHostSecurePort)
   file.flush()
   file.close()