########################################################### {COPYRIGHT-TOP} ####
# IBM Confidential
# Jazz for Service Management - Install
#
# (C) Copyright IBM Corp. 2013  All Rights Reserved.
#
# The source code for this program is not published or otherwise  
# divested of its trade secrets, irrespective of what has been 
# deposited with the U.S. Copyright Office.
########################################################### {COPYRIGHT-END} ####
#This jython script will set the value of initialHeapSize and maximumHeapsize as 512 and 768
import sys
lineSeparator = java.lang.System.getProperty( 'line.separator' )
applicationServerList = AdminTask.listServers( '[-serverType APPLICATION_SERVER]' ).split(lineSeparator)
for applicationServer in applicationServerList :
 serverName = AdminConfig.showAttribute(applicationServer, "name" )
 serverID = AdminConfig.getid( "/Server:" +serverName+ "/" )
 processDefinition = AdminConfig.list( "ProcessDef" , serverID)
 jvm = AdminConfig.list( "JavaVirtualMachine" , processDefinition)
 AdminConfig.modify(jvm, [[ "initialHeapSize" , 512]] )
 AdminConfig.modify(jvm, [[ "maximumHeapSize" , 768]] )
 AdminConfig.save()

