########################################################### {COPYRIGHT-TOP} ####
# IBM Confidential
# Jazz for Service Management - Install
#
# (C) Copyright IBM Corp. 2013  All Rights Reserved.
#
# The source code for this program is not published or otherwise  
# divested of its trade secrets, irrespective of what has been 
# deposited with the U.S. Copyright Office.
########################################################### {COPYRIGHT-END} ####

'''
Created on Jan 18, 2012

@author: krishna
'''
import sys
#--------------------------------------------------------------
# Install an application onto this server
#--------------------------------------------------------------
def install(serverName, nodeName, app, appName=None):
	print "Installing the application"
	appOptions = "[-server " + serverName + " -node " + nodeName
	if len(appName) != 0:
		 appOptions = appOptions + " -appname " + appName +" -contextroot " + appName
		 appOptions = appOptions + " -defaultbinding.virtual.host default_host -usedefaultbindings]"
	print "Server Options: " + appOptions
	AdminApp.install(app, appOptions)
#--------------------------------------------------------------
# Save all changes
#--------------------------------------------------------------	
	print "Now saving all the configurations"
	AdminConfig.save()

#-----------------------------------------------------------------
# Main
#-----------------------------------------------------------------

if (len(sys.argv) != 4):
   print "This script requires 4 parameters:<ear file>, <application name>, <server name>, <node name>"
   print "e.g.:  argsDeployWARfile.py C:/Krish/SimpleJ2E_1.0.0.war SimpleJ2E server1 CDD68EFEBBANode02"
else:
   application = sys.argv[0]
   appName = sys.argv[1]
   serverName = sys.argv[2]
   nodeName = sys.argv[3]
   print "Application:" + application
   print "App name:" + appName
   print "Node name:" + nodeName 
   print "Server name:" + serverName
   install(serverName, nodeName, application, appName)
